#!/bin/bash

set -eu
#set -x ; echo '<html><body><pre>'

CHECK_DIR="`dirname "$0"`"
VDIR=`dirname "$CHECK_DIR"`
VDIR=`dirname "$VDIR"`

# Setup for validator
export W3C_VALIDATOR_HOME=${W3C_VALIDATOR_HOME:-"$VDIR"}
export W3C_VALIDATOR_CFG=${W3C_VALIDATOR_CFG:-"$W3C_VALIDATOR_HOME"/htdocs/config/validator.conf}

# Setup for Dynamic Libraries
# Like PATH, DYLD_LIBRARY_PATH is a colons seperated list of directories to search.
# Unfortunately, colons are legal in file/directory names, and there is no way to escape them.
# The only solution is to use a relative path, and set the working directory.
cd "$W3C_VALIDATOR_HOME"
export DYLD_LIBRARY_PATH=./lib

# Setup for patched OpenSP locale
export SP_LOCALE_DIR="$W3C_VALIDATOR_HOME"/share/locale

#export LANG=en_US.UTF-8

# Unset the Perl library paths, in case they are set by Fink, etc.
unset PERL5LIB

# Set exact perl version based on OS
case $(uname -r) in
10* ) PERL=perl5.10.0 ;;
11* ) PERL=perl5.10 ;;
12* ) PERL=perl5.10 ;;
13* ) PERL=perl5.12 ;;
esac

# -T removed for 10.6 compatibility

exec /usr/bin/$PERL -I"$W3C_VALIDATOR_HOME"/lib/$PERL "$W3C_VALIDATOR_HOME"/httpd/cgi-bin/check
